namespace EVCB_OCPP.Domain.MainDBContextMigrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class Add_CustomerFTP_ServerMessageUpdateOn : DbMigration
    {
        public override void Up()
        {
            AddColumn("dbo.Customer", "FTPPath", c => c.String());
            AddColumn("dbo.Customer", "FTPHost", c => c.String(maxLength: 50));
            AddColumn("dbo.Customer", "FTPUser", c => c.String(maxLength: 20));
            AddColumn("dbo.Customer", "FTPPassword", c => c.String(maxLength: 20));
            AddColumn("dbo.ServerMessage", "UpdatedOn", c => c.DateTime(nullable: false));
        }
        
        public override void Down()
        {
            DropColumn("dbo.ServerMessage", "UpdatedOn");
            DropColumn("dbo.Customer", "FTPPassword");
            DropColumn("dbo.Customer", "FTPUser");
            DropColumn("dbo.Customer", "FTPHost");
            DropColumn("dbo.Customer", "FTPPath");
        }
    }
}
