namespace EVCB_OCPP.Domain.MainDBContextMigrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class Add_Table_OCMF : DbMigration
    {
        public override void Up()
        {
            CreateTable(
                "dbo.OCMF",
                c => new
                    {
                        Id = c.Int(nullable: false, identity: true),
                        TransactionId = c.Int(nullable: false),
                        DataString = c.String(maxLength: 2048),
                        PublicKey = c.String(maxLength: 256),
                    })
                .PrimaryKey(t => t.Id);
            
        }
        
        public override void Down()
        {
            DropTable("dbo.OCMF");
        }
    }
}
