﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Domain.Models.Database
{
    [Table("OCMF")]
    public class OCMF
    {
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        [Key]
        public Int32 Id { get; set; }


        public Int32 TransactionId { get; set; }


        [StringLength(2048)]
        public string DataString { set; get; }

        [StringLength(256)]
        public string PublicKey { set; get; }
    }
}
