﻿namespace EVCB_OCPP.Packet20.DataTypes.EnumTypes
{
    public enum EventTriggerEnumType
    {
        /// <summary>
        ///  Monitored variable has passed an Alert or Critical threshold
        /// </summary>
        Alerting = 1,
        /// <summary>
        ///  Delta Monitored Variable value has changed by more than specified amount
        /// </summary>
        Delta,
        /// <summary>
        ///  Periodic Monitored Variable has been sampled for reporting at the specified interval
        /// </summary>
        Periodic
    }
}
