namespace EVCB_OCPP.Domain.MainDBContextMigrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class Modified_UploadFileId : DbMigration
    {
        public override void Up()
        {
            DropForeignKey("dbo.MachineVersionFile", "UploadFileId", "dbo.UploadFile");
            DropIndex("dbo.MachineVersionFile", new[] { "UploadFileId" });
            DropPrimaryKey("dbo.UploadFile");
            AlterColumn("dbo.MachineVersionFile", "UploadFileId", c => c.String(nullable: false, maxLength: 36));
            AlterColumn("dbo.UploadFile", "Id", c => c.String(nullable: false, maxLength: 36));
            AlterColumn("dbo.UploadFile", "VendorId", c => c.String(nullable: false, maxLength: 50));
            AlterColumn("dbo.UploadFile", "ModelName", c => c.String(nullable: false, maxLength: 50));
            AddPrimaryKey("dbo.UploadFile", "Id");
            CreateIndex("dbo.MachineVersionFile", "UploadFileId");
            AddForeignKey("dbo.MachineVersionFile", "UploadFileId", "dbo.UploadFile", "Id", cascadeDelete: true);
        }
        
        public override void Down()
        {
            DropForeignKey("dbo.MachineVersionFile", "UploadFileId", "dbo.UploadFile");
            DropIndex("dbo.MachineVersionFile", new[] { "UploadFileId" });
            DropPrimaryKey("dbo.UploadFile");
            AlterColumn("dbo.UploadFile", "ModelName", c => c.String(maxLength: 50));
            AlterColumn("dbo.UploadFile", "VendorId", c => c.String(maxLength: 50));
            AlterColumn("dbo.UploadFile", "Id", c => c.Guid(nullable: false));
            AlterColumn("dbo.MachineVersionFile", "UploadFileId", c => c.Guid(nullable: false));
            AddPrimaryKey("dbo.UploadFile", "Id");
            CreateIndex("dbo.MachineVersionFile", "UploadFileId");
            AddForeignKey("dbo.MachineVersionFile", "UploadFileId", "dbo.UploadFile", "Id", cascadeDelete: true);
        }
    }
}
