namespace EVCB_OCPP.Domain.MainDBContextMigrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class Add_Customer_TTIA_Fields : DbMigration
    {
        public override void Up()
        {
            AddColumn("dbo.Customer", "TTIA_EquipmentProvider", c => c.String(maxLength: 10));
            AddColumn("dbo.Customer", "TTIA_CustomerId", c => c.Int(nullable: false));
        }
        
        public override void Down()
        {
            DropColumn("dbo.Customer", "TTIA_CustomerId");
            DropColumn("dbo.Customer", "TTIA_EquipmentProvider");
        }
    }
}
