namespace EVCB_OCPP.Domain.MeterValueDBContextMigrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class Init : DbMigration
    {
        public override void Up()
        {
            CreateTable(
                "dbo.ConnectorMeterValueRecord",
                c => new
                    {
                        Id = c.Long(nullable: false, identity: true),
                        ChargePointSerialNumber = c.String(maxLength: 25),
                        ConnectorId = c.Byte(nullable: false),
                        Context = c.String(maxLength: 25),
                        Format = c.String(maxLength: 10),
                        Measurand = c.String(maxLength: 25),
                        Phase = c.String(maxLength: 25),
                        Location = c.String(maxLength: 10),
                        Value = c.String(maxLength: 10),
                        Unit = c.String(maxLength: 10),
                        CreatedOn = c.DateTime(nullable: false),
                    })
                .PrimaryKey(t => t.Id);
            
        }
        
        public override void Down()
        {
            DropTable("dbo.ConnectorMeterValueRecord");
        }
    }
}
