﻿using Newtonsoft.Json;
using System.ComponentModel.DataAnnotations;

namespace EVCB_OCPP.Packet20.DataTypes
{
    public class AdditionalInfoType
    {
        /// <summary>
        /// Required. This field specifies the additional IdToken.
        /// </summary>
        [Required]
        [StringLength(36, MinimumLength = 0)]
        public string AdditionalIdToken { set; get; }

        /// <summary>
        /// Required. This defines the type of the additionalIdToken.
        ///This is a custom type, so the implementation needs to be
        ///agreed upon by all involved parties.
        /// </summary>
        [Required]
        [StringLength(50, MinimumLength = 0)]
        public string Type { set; get; }
    }
}
