﻿using EVCB_OCPP.Packet20.DataTypes.EnumTypes;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.DataTypes
{
    public class CertificateHashDataChainType
    {
        /// <summary>
        /// Indicates the type of the requested   certificate(s).
        /// </summary>
        [JsonConverter(typeof(StringEnumConverter))]
        [Required]
        public GetCertificateIdUseEnumType CertificateType { set; get; }

        /// <summary>
        /// Information to identify a certificate.
        /// </summary>
        [Required]
        public CertificateHashDataType CertificateHashData { set; get; }

        /// <summary>
        /// Information to identify the child certificate(s).
        /// </summary>
        public CertificateHashDataType ChildCertificateHashData { set; get; }

    }
}
