﻿namespace EVCB_OCPP.Packet20.DataTypes.EnumTypes
{
    public enum ChargingProfileKindEnumType
    {
        /// <summary>
        /// Schedule periods are relative to a fixed point in time defined in the schedule.
        /// </summary>
        Absolute = 1,
        /// <summary>
        /// The schedule restarts periodically at the first schedule period.
        /// </summary>
        Recurring,
        /// <summary>
        /// Schedule periods are relative to a situation-specific start point (such as the start of a session) that is
        /// determined by the Charging Profile.
        /// </summary>
        Relative
    }
}
