﻿namespace EVCB_OCPP.Packet20.DataTypes.EnumTypes
{
    public enum LocationEnumType
    {
        /// <summary>
        ///  Measurement inside body of Charging Station (e.g. Temperature).
        /// </summary>
        Body = 1,
        /// <summary>
        ///  Measurement taken from cable between EV and Charging Station.
        /// </summary>
        Cable,
        /// <summary>
        ///  Measurement taken by EV.
        /// </summary>
        EV,
        /// <summary>
        ///  Measurement at network ("grid") inlet connection.
        /// </summary>
        Inlet,
        /// <summary>
        ///  Measurement at a Connector. Default value.
        /// </summary>
        Outlet
    }
}
