﻿namespace EVCB_OCPP.Packet20.DataTypes.EnumTypes
{
    public enum LogStatusEnumType
    {
        /// <summary>
        ///  Accepted this log upload. This does not mean the log file is uploaded is successfully, the Charging Station
        ///  will now start the log file upload.
        /// </summary>
        Accepted = 1,
        /// <summary>
        ///  Log update request rejected.
        /// </summary>
        Rejected,
        /// <summary>
        ///  Accepted this log upload, but in doing this has canceled an ongoing log file upload.
        /// </summary>
        AcceptedCanceled
    }
}
