﻿namespace EVCB_OCPP.Packet20.DataTypes.EnumTypes
{
    public enum MessageTriggerEnumType
    {
        /// <summary>
        ///  To trigger BootNotification.
        /// </summary>
        BootNotification = 1,
        /// <summary>
        /// To trigger LogStatusNotification.
        /// </summary>
        LogStatusNotification,
        /// <summary>
        /// To trigger FirmwareStatusNotification.
        /// </summary>
        FirmwareStatusNotification,
        /// <summary>
        ///  To trigger Heartbeat.
        /// </summary>
        Heartbeat,
        /// <summary>
        ///  To trigger MeterValues.
        /// </summary>
        MeterValues,
        /// <summary>
        /// To trigger a SignCertificate with typeOfCertificate: ChargingStationCertificate.
        /// </summary>
        SignChargingStationCertificate,
        /// <summary>
        ///  To trigger a SignCertificate with typeOfCertificate: V2GCertificate
        ///StatusNotification To trigger StatusNotification.
        /// </summary>
        SignV2GCertificate,
        /// <summary>
        ///  To trigger TransactionEvent.
        /// </summary>
        TransactionEvent,
        /// <summary>
        ///   To trigger a SignCertificate with typeOfCertificate: ChargingStationCertificate AND V2GCertificate
        /// </summary>
        SignCombinedCertificate,
        /// <summary>
        /// To trigger PublishFirmwareStatusNotification.
        /// </summary>
        PublishFirmwareStatusNotification

    }
}
