﻿namespace EVCB_OCPP.Packet20.DataTypes.EnumTypes
{
    public enum MonitoringCriterionEnumType
    {
        /// <summary>
        /// Report variables and components with a monitor of type UpperThreshold or LowerThreshold.
        /// </summary>
        ThresholdMonitoring = 1,
        /// <summary>
        ///  Report variables and components with a monitor of type Delta.
        /// </summary>
        DeltaMonitoring,
        /// <summary>
        ///  Report variables and components with a monitor of type Periodic or PeriodicClockAligned.
        /// </summary>
        PeriodicMonitoring
    }
}
