﻿namespace EVCB_OCPP.Packet20.DataTypes.EnumTypes
{
    public enum UpdateFirmwareStatusEnumType
    {
        /// <summary>
        ///  Accepted this firmware update request. This does not mean the firmware update is successful, the Charging
        ///  Station will now start the firmware update process.
        /// </summary>
        Accepted = 1,
        /// <summary>
        ///  Firmware update request rejected.
        /// </summary>
        Rejected,
        /// <summary>
        /// Accepted this firmware update request, but in doing this has canceled an ongoing firmware update.
        /// </summary>
        AcceptedCanceled,
        /// <summary>
        /// The certificate is invalid.
        /// </summary>
        InvalidCertificate,
        /// <summary>
        ///  Failure end state. The Firmware Signing certificate has been revoked.        /// 
        /// </summary>
        RevokedCertificate
    }
}
