﻿using EVCB_OCPP.Packet20.DataTypes.EnumTypes;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.Messages
{
    public class NotifyEVChargingNeedsResponse
    {
        /// <summary>
        /// Returns whether the CSMS has been able to
        ///process the message successfully.It does not imply that
        ///the evChargingNeeds can be met with the current
        /// charging profile.
        /// </summary>
        [Required]
        [JsonConverter(typeof(StringEnumConverter))]
        public NotifyEVChargingNeedsStatusEnumType Status { set; get; }
    }
}
