﻿using EVCB_OCPP.Packet20.DataTypes.EnumTypes;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.Messages
{
   public class ReservationStatusUpdateRequest
    {
        /// <summary>
        /// The ID of the reservation.
        /// </summary>
        [Required]
        public int ReservationId { set; get; }

        /// <summary>
        /// The updated reservation status.
        /// </summary>
        [Required]
        [JsonConverter(typeof(StringEnumConverter))]
        public ReservationUpdateStatusEnumType ReservationUpdateStatus { set; get; }
    }
}
