﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.Messages
{
    public class SetMonitoringLevelRequest
    {
        /// <summary>
        /// Required. The Charging Station SHALL only report events
        // with a severity number lower than or equal to this
        // severity.The severity range is 0-9, with 0 as the highest
        // and 9 as the lowest severity level.
        /// </summary>
        [Required]
        public int Severity { set; get; }
    }
}
