﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.Messages
{
   public class UnlockConnectorRequest
    {
        /// <summary>
        /// This contains the identifier of the EVSE for
       /// which a connector needs to be unlocked
        /// </summary>
        [Required]
        public int EvseId { set; get; }

        /// <summary>
        /// This contains the identifier of the connector
        ///that needs to be unlocked
        /// </summary>
        public int ConnectorId { set; get; }
    }
}
